<?php
/**
 * @file
 * Administration settings for the field quiz.
 */


/**
 * Administration settings form.
 *
 * @return array
 */
function field_quiz_admin_settings_form() {
  $form = array();

  $form['info'] = array(
    '#type' => 'markup',
    '#markup' => t('Administration settings for the field quiz module.'),
    '#suffix' => '<div>&nbsp;</div>',
  );

  // Use radios as answer type.
  $form['field_quiz_use_radios'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use radios, if just one answer is possible'),
    '#description' => t('Use radios if there is just one possible answer available.'),
    '#default_value' => variable_get('field_quiz_use_radios', FALSE),
  );

  // Do not redirect after submission.
  $form['field_quiz_use_ajax'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use ajax'),
    '#description' => t('Use ajax to display the result message. 
    If turned on the success of fail message will be displayed within the form page. 
    If turned off the user will be redirected to pages.'),
    '#default_value' => variable_get('field_quiz_use_ajax', TRUE),
  );

  return system_settings_form($form);
}